Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 225813 - JSF Editor unaware of cc:attribute type="blah,blah,blah"
JSF Editor unaware of cc:attribute type="blah,blah,blah"
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.4
All All
: P3 with 1 vote (vote)
: 8.0
Assigned To: Martin Fousek
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 19:47 UTC by ethermion
Modified: 2013-11-13 03:07 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
test case (nb project) (24.77 KB, application/x-zip-compressed)
2013-02-06 19:47 UTC, ethermion
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ethermion 2013-02-06 19:47:52 UTC
Created attachment 131071 [details]
test case (nb project)

<cc:interface>
    <cc:attribute name="bean" type="com.example.SomeBean" required="true"/>
</cc:interface>

<cc:implementation>
    <h:outputText value="#{cc.attrs.bean.NO-CODE-COMPLETION-HERE}" />
...

1)
#{cc.attrs.bean.^SPACE does not do code completion (content assist), even though the class can be inferred from the type assignment on the attribute.

2) Once that is fixed, bad EL could be flagged just as in a regular facelet.

3)
Content assist (and error check) on the type field itself would also be nice too.
e.g. type="com.example.^SPACE

Test case NB project attached.
Comment 1 Martin Fousek 2013-02-07 06:20:42 UTC
That are definitely good points for implementing. Changing category to the correct one and switching to enhancement. Thanks ethermion for reporting.
Comment 2 Martin Fousek 2013-08-05 05:25:45 UTC
BTW, points Nr. 1 and 2 should be already implemented into the NetBeans 7.4.
Comment 3 Martin Fousek 2013-11-12 15:41:21 UTC
The last feature, code completion of java elements in the "type" attribute is implemented in web-main #5a0bd8520586.

Reporter please give it a try in the daily build and let us know any issues you would be facing. Thanks
Comment 4 Quality Engineering 2013-11-13 03:07:17 UTC
Integrated into 'main-silver', will be available in build *201311130002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/5a0bd8520586
User: Martin Fousek <marfous@netbeans.org>
Log: #225813 - JSF Editor unaware of cc:attribute type="blah,blah,blah"


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo